<?php
/*
Plugin Name: LiveLib Widget
Plugin URI: http://uplift.ru/wordpress/
Description: Displays the latest books you have read from your account on LiveLib.
Version: 1.0
Author: Sergey Biryukov
Author URI: http://sergeybiryukov.ru/
*/

require_once (ABSPATH . WPINC . '/rss.php');
if ( function_exists('load_plugin_textdomain') ) {
	load_plugin_textdomain('livelib', 'wp-content/plugins/livelib-widget');
}

function livelib_display() {
	$rss_url = get_option('livelib_user_rss');
	$profile_url = str_replace('/rss', '/profile', $rss_url);
	$rss = fetch_rss($rss_url);
	if ( isset($rss->items) && 0 != count($rss->items) ) :
		echo '<ul id="latestbooks">' . "\n";
		$rss->items = array_slice($rss->items, 0, get_option('livelib_items_to_show'));
		foreach ( $rss->items as $item ) :
			$title = wp_specialchars($item['title']);
			preg_match('/^"(.*)" (.*)/', $item['title'], $title);
			preg_match('/img\/(.+).gif"/', $item['description'], $icons);
			preg_match('/href="([^ ]+)"/', $item['description'], $links);
			preg_match_all('/<a href="([^ ]+)\/tag\/(.+)">(.+)<\/a>/', $item['description'], $tags);
			echo '	<li class="book ' . $icons[1] . '">';
			echo '<a href="' . $links[1] . '">' . $title[1] . '</a><br />';
			if ('' !== $title[2]) {
				echo $title[2] . '<br />';
			}
			echo '<small>* ' . implode(', ', $tags[0]) . '</small>';
			echo '</li>' . "\n";
		endforeach;
		echo '	<li class="profile"><a href="' . $profile_url . '">' . __('My LiveLib profile', 'livelib') . '</a></li>' . "\n";
		echo '</ul>' . "\n";
	endif;
}

function livelib_add_default_options() {
	$livelib_user_rss = get_option('livelib_user_rss');
	if ( empty($livelib_user_rss) ) {
		add_option('livelib_user_rss', '');
	}

	$livelib_items_to_show = get_option('livelib_items_to_show');
	if ( empty($livelib_items_to_show) ) {
		add_option('livelib_items_to_show', '5');
	}
}
add_action('activate_livelib-widget/functions.php','livelib_add_default_options');

function livelib_remove_default_options() {
	delete_option('livelib_user_rss');
	delete_option('livelib_items_to_show');
}
add_action('deactivate_livelib-widget/functions.php','livelib_remove_default_options');

function livelib_css() {
	print('
	<link rel="stylesheet" type="text/css" href="' . get_bloginfo('wpurl') . '/wp-content/plugins/livelib-widget/style.css" />
	');
}
add_filter('wp_head', 'livelib_css');

function livelib_show_options_page() {
	require( ABSPATH . 'wp-content/plugins/livelib-widget/options.php');
}

function livelib_add_option_page() {
 add_options_page(__('LiveLib Widget', 'livelib'), __('LiveLib Widget', 'livelib'), 8, __FILE__, 'livelib_show_options_page');
}
add_action('admin_menu', 'livelib_add_option_page');

?>
