<?php
/*
Author: Sergey Biryukov
Author URI: http://sergeybiryukov.ru/
Description: Administrative options for LiveLib Widget
*/

if ( !empty($_POST ) ) : 
	$items_to_show = $_POST['items_to_show'];
	$livelib_user_rss = $_POST['livelib_user_rss'];

	update_option('livelib_user_rss', $livelib_user_rss);
	if ( is_numeric($items_to_show) ){
		update_option('livelib_items_to_show', $items_to_show);
	}
	else {
		update_option('livelib_items_to_show', '5');
	}
?>
<div id="message" class="updated fade"><p><strong><?php _e('Options saved.', 'livelib') ?></strong></p></div>
<?php endif; ?>
<div class="wrap">
	<h2><?php _e('LiveLib Widget Options', 'livelib'); ?></h2>
		<form action="" method="post" id="livelib_conf">

			<p>
				<label for="livelib_user_rss"><?php _e('Your LiveLib user RSS link:', 'livelib'); ?></label>
				<input type="text" name="livelib_user_rss" id="livelib_user_rss" value="<?php echo get_option('livelib_user_rss'); ?>" size="50" /><br />
				<?php _e('(For example: http://www.livelib.ru/reader/[your_login]/rss)', 'livelib'); ?>
			</p>

			<p>
				<label for="items_to_show"><?php _e('Number of items to show:', 'livelib'); ?></label>
				<input type="text" name="items_to_show" id="items_to_show" size="3" value="<?echo get_option('livelib_items_to_show'); ?>" />
			</p>
		
			<p class="submit">
				<input type="submit" value="<?php _e('Update Options &raquo;', 'livelib'); ?>" />
			</p>
		</form>
</div>
